--
--	Grail Rewards
--	Written by scott@mithrandir.com
--
--	Version History
--		001	Initial version
--
--	Known Issues
--
--	UTF-8 file
--
--	Each reward is a string with colon as delimiter with the following type of values:
--		Xxxx		XP of xxx
--		Mxxx		Money of xxx in copper
--		Cxxx-yyy	Choice reward of item xxx, with count yyy
--		Rxxx-yyy	Reward of item xxx, with count yyy

local _, release, _, interface = GetBuildInfo()
release = tonumber(release)
interface = tonumber(interface)

local G = Grail.questRewards or {}

if release >= 0 then
G[34099]=':X43150:M536000:C112516'
G[34963]=':X14400:M134000'
G[38241]=':R122457-1'
G[38250]=':M462000'
G[39433]=':M154000'
G[39582]=':M154000:R124099-100'
end

if release >= 20338 then
G[3100]=':X130'
G[28766]=':X500:M50'
G[28774]=':X500:M40:R57388-1'
end

Grail.questRewards = G
Grail:_CleanDatabase()	-- this is called because Grail will do it before this loadable addon is loaded, which means its reputation data will be dirty
